version: "2"
services:
  nginx-react:
    container_name: ngixsaladtapp
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - 80:80
    environment:
      NODE_ENV: production
      REACT_APP_API_URL_User_Service : http://34.101.177.226:8080
      REACT_APP_API_URL_Part_Request_Service : http://34.101.177.226:8080/request
      REACT_APP_API_URL_Active_Approval_Service : http://34.101.177.226:8080/active-request-list
      REACT_APP_API_URL_Staging_User_Service : http://34.101.177.226:8080/staging-user
      REACT_APP_API_URL_Document_Service : http://34.101.177.226:8080/document
      REACT_APP_API_URL_Approver_Group_Service : http://34.101.177.226:8080/approver-group
      REACT_APP_API_URL_Approver_Service : http://34.101.177.226:8080/approver
      REACT_APP_API_URL : http://34.101.177.226:8080
      REACT_APP_API_URL_Search_Part_Service : http://34.101.177.226:8080/staging-items
      REACT_APP_API_URL_Workflow_Service : http://34.101.177.226:8080/workflow
      REACT_APP_API_URL_Department_Service : http://34.101.177.226:8080/department
      REACT_APP_API_URL_Flowstep_Service : http://34.101.177.226:8080/flow-step